
Some undocumented settings for WBI
==================================

WBI's ini file contains many settings that affect how WBI
interacts with the Web and with your browser.  Most of these are
"undocumented" -- in the sense that we're not really supporting
them or promising that they won't change in future versions.
Nonetheless, this file provides some scant documentation on these
settings.  We make no promises about this information.  Use at
your own risk.

Changing iawbi.ini
----------------

The settings file, iawbi.ini, is located in WBI's "bin" directory
(e.g., under Windows in "program files", "ibm", "iawbi", "bin", and
in OS/2 under wbidemo\bin).
Changes to this file take effect when WBI is restarted.

The iawbi.ini file is organized in several sections, each of which
contains settings for related sorts of things.

   WBI
   ---

One of these sections, labelled "[WBI]" contains general sorts
of settings.   One that might be of interest controls whether the
toolbar that appears at the top of each Web page is an imagemap
or simply a series of textual links.  The default, and what
happens when the ini file contains no setting, is to use an
imagemap.  To get text links rather than an imagemap, set the
"TextOnly" variable to 1, that is, in the "[WBI]" section of the
ini file, add a line that looks like:

TextOnly = 1

This setting can also be changed by selecting the Personal History link
under "WBI Module Setup" on the WBI Setup page.

Another general setting in the "[WBI]" section controls whether
WBI's pages (e.g., history, help, setup and so on) contain a
background image.  By default, WBI shows a background image of
the hills around the IBM Almaden Research Center.  To change it
so that no background image is displayed, add a line like the
following to the "[WBI] section of the ini file:

NoBackgroundImage = 1

This setting can also be changed by selecting the Personal History link
under "WBI Module Setup" on the WBI Setup page.

For the Windows version only, the WBI toolbar can be "removed" from the
browser page by setting the following:

PlaceToolbarOnPage = 0

The WBI toolbar may also be added/removed using the following WBI urls:

_wbi/Showtoolbar/on

_wbi/Showtoolbar/off


   History
   -------
The section of the wbi.ini that controls how the history is
displayed is called "[History]".  To change the number of history
items displayed on a page, set the "TopN" variable -- the
default is 40.


   TestLink
   --------

The section of the ini file that controls the "Web Traffic
Lights" function is called "[TestLink]".  The settings in this
section are

   1) "Run" -- controls whether the traffic lights function is
      enabled, can be set via WBI's Setup page

   2) "PageMax" -- specifies how many servers on a page are
      checked,  the default is 10

   3) "GoodTime" -- specifies the difference between a "green"
      link and "yellow" link, specifically, the maximum number
      of seconds a remote server can take to respond and still
      be considered fast (green).  The default is 5 seconds.

   4) "MaybeTime" -- specifies the difference between a
      "yellow" and a "red" link, specifically, the maximum
      number of seconds a remote server can take and still be
      considered "not so slow" (yellow rather than red).   The
      default is 10.

   5) "NoUpdateTime" -- specifies the time between rechecks of
      the same server (to keep the traffic info current); that
      is, the number of seconds to retain a server's speed
      information before requesting the info again when it is
      needed.  The default is 300 seconds.


   ShortCut
   --------

The section of wbi.ini that controls how shortcuts are
calculated is called "[ShortCut]".  One variable controls
whether the shortcut function is enabled, "Run".  This can
also be set via the Personal History Link under "WBI Module
Setup" on the WBI Setup screen.  Shortcuts are determined by an
algorithm that takes into account pages that you have previously
visited soon after visiting the current page.  Specifically,
"soon after" means pages that lie along paths of a certain
maximum length (i.e., the "Range" variable, which defaults to 5)
emanating from the current page.  All pages within this range
that have been visited at least a certain number of times
("Frequency", which defaults to 4) and that have been visited at
least a certain percentage of the time ("Percent", which
defaults to 25) are offered as shortcuts.

   Cache
   -----

The section of the ini file that controls the WBI cache.
The settings in this section are:

  1) CacheFile
      Specifies the name of the cache index file.  This file contains
      entries for each cached file that relates the cache key to the
      filename used to store it on disk.  Additional information dealing
      with the specific cache entry is also contained within this file.
      By default this file is WBICACHE.CDX.

  2) CachePath
      Specifies the path used to store the cache file.  By default the
      path is '.\CACHE'.

  3) MaxEntries
      Specifies the maximum number of cache entries allowed at a single
      time in the cache system.  This can be controlled via the WBI
      Setup screen.  After the maximum number of cached entries is reached
      entries will be discarded based on their activity (least recently
      used entries are discarded).

  4) MaxSingleFileSize
      Specifies the maximum size (in KB) that a file may be.  Files
      that exceed this size will not be cached.  By default this value
      is set to 50.

   Offline
   -------

The section of the ini file that controls the WBI offline browsing function.

The following values may be specified for "MarkupMode":

Mark_Children  - a special indicator for "child" links of the
                URL from which you started (this is the default)
Mark_Orphans   - a special indicator for a URL which isn't available
                in the offline cache  
Mark_None      - no special indicators

   Watch
   -----

The section of the ini file that controls the "monitoring" of web pages
for changes.

The variable "UpdateFrequency" may be set to reflect how often the WBI
"watch" function gets run.  This value may be specified in terms of hours
or minutes as follows:

UpdateFrequency = x hours
or
UpdateFrequency = x minutes

